petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSGLLESetAcceptType

sets the acceptance test

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLLESetAcceptType(TS ts,TSGLLEAcceptType type)

Time integrators that need to control error must have the option to reject a time step based on local error estimates. This function allows different schemes to be set.

Logically Collective on TS

### Input Parameters

| ts | - the TS context
| type | - the type

### Options Database Key

-ts_gl_accept_type <type> -sets the method used to determine whether to accept or reject a step

### See Also

TS, TSGLLE, TSGLLEAcceptRegister(), TSGLLEAdapt, set type

### Level

intermediate

### Location

src/ts/impls/implicit/glle/glle.c

### Implementations

TSGLLESetAcceptType_GLLE in src/ts/impls/implicit/glle/glle.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages